Anonymous Login
2019-04-24 15:35 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000984v3.0 Release[All Projects] Generalpublic2013-08-28 11:24
Reportersasquatch58 
Assigned Topedroa 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0000984: User changing password fails
DescriptionChanging user password
ERROR: /opt/web2dev/classes/w2p/Database/Query.class.php(1128) : query failed(UPDATE `users` SET `user_password` = 'f6fdffe48c908deb0f4c3bd36c032e72', `perm_func` = 'updateLogin' WHERE user_id = '1') - error was: Unknown column 'perm_func' in 'field list'
Backtrace:
0 /opt/web2dev/classes/w2p/Database/Query.class.php:1128 dprint()
1 /opt/web2dev/classes/w2p/Database/Query.class.php:1654 exec()
2 /opt/web2dev/classes/w2p/Core/BaseObject.class.php:289 updateObject()
3 /opt/web2dev/modules/admin/admin.class.php:64 store()
4 /opt/web2dev/modules/public/chpwd.php:27 store()
5 /opt/web2dev/index.php:278 require()
BUT displays message that password has been updated & certainly not updated
Additional InformationUbuntu 10.04.1 LTS 64bit fully patched.
System timezone set to Pacific/Auckland & linked to ntp.
Testing information:
Using svn to pull current development versions from sourceforge
- config.php points to existing database ie did not create dayabase on install but used a copy of an existing one
- database updates applied
- Documentation, Importers, Exporters, Holiday modules added
- includes and files & files/temp set to permission 777
TagsNo tags attached.
Attached Files

-Relationships
related to 0000983closedpedroa User creation fails 
+Relationships

-Notes

~0002244

pedroa (administrator)

Fixed on SVN files are:

/trunk/do_user_aed.php
/modules/admin/admin.class.php

The first file fixes issue with creating external users
Second file fixes this specific bug

Cheers,

Pedro A.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-26 02:33 sasquatch58 New Issue
2011-09-27 23:47 caseydk Priority normal => high
2011-10-03 18:23 trevormorse Relationship added related to 0000983
2011-10-03 18:24 trevormorse Assigned To => trevormorse
2011-10-03 18:24 trevormorse Status new => confirmed
2011-10-06 03:40 pedroa Status confirmed => assigned
2011-10-06 03:40 pedroa Assigned To trevormorse => pedroa
2011-10-06 03:41 pedroa Note Added: 0002244
2011-10-06 03:41 pedroa Status assigned => resolved
2011-10-06 03:41 pedroa Resolution open => fixed
2013-08-28 11:13 caseydk Fixed in Version => 3.0.0
2013-08-28 11:24 caseydk Status resolved => closed
+Issue History